## net.i2p.router
Class JobStats

    java.lang.Object
      net.i2p.router.JobStats

     class JobStats

extends Object

glorified struct to contain basic job stats

Constructor Summary
`JobStats(String name)`

Method Summary
`boolean` `equals(Object obj)`
`long` `getAvgPendingTime()`
`long` `getAvgTime()`
`long` `getMaxPendingTime()`
`long` `getMaxTime()`
`long` `getMinPendingTime()`
`long` `getMinTime()`
`String` `getName()`
`long` `getRuns()`
`long` `getTotalPendingTime()`
`long` `getTotalTime()`
`int` `hashCode()`
`void` `jobRan(long runTime, long lag)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JobStats

    public JobStats(String name)

Method Detail

### jobRan

    public void jobRan(long runTime,
                       long lag)

### getName

    public String getName()

### getRuns

    public long getRuns()

### getTotalTime

    public long getTotalTime()

### getMaxTime

    public long getMaxTime()

### getMinTime

    public long getMinTime()

### getAvgTime

    public long getAvgTime()

### getTotalPendingTime

    public long getTotalPendingTime()

### getMaxPendingTime

    public long getMaxPendingTime()

### getMinPendingTime

    public long getMinPendingTime()

### getAvgPendingTime

    public long getAvgPendingTime()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`